Bug 863545 - general protection fault: 0000 [#1] SMP EIP: xfs_count_page_state
general protection fault: 0000 [#1] SMP EIP: xfs_count_page_state
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
abrt_hash:2becbea7fb6b26e9f45ba3fe703...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 14:45 EDT by Phil V
Modified: 2012-11-14 12:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 12:03:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil V 2012-10-05 14:45:06 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.8-1.fc16.x86_64 root=UUID=2113f8fd-51dc-42ff-9af9-1884528cdf1a ro KEYTABLE=dvorak rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8

backtrace:
:[151390.280243] general protection fault: 0000 [#1] SMP 
:[151390.280300] CPU 0 
:[151390.280316] Modules linked in: tcp_lp fuse lockd tpm_bios coretemp ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 hp_wmi sparse_keymap uvcvideo videobuf2_core videodev media videobuf2_vmalloc videobuf2_memops snd_hda_codec_conexant snd_hda_intel snd_hda_codec 8139too snd_hwdep 8139cp ath5k snd_seq snd_seq_device microcode mii ath joydev snd_pcm mac80211 i2c_i801 cfg80211 snd_timer rfkill snd soundcore snd_page_alloc iTCO_wdt iTCO_vendor_support binfmt_misc uinput sunrpc xfs wmi ums_realtek usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[151390.281010] 
:[151390.281010] Pid: 26, comm: kswapd0 Not tainted 3.3.8-1.fc16.x86_64 #1 Hewlett-Packard Compaq Presario A900 Notebook PC/30ED
:[151390.281010] RIP: 0010:[<ffffffffa0119a4f>]  [<ffffffffa0119a4f>] xfs_count_page_state+0x3f/0x70 [xfs]
:[151390.281010] RSP: 0018:ffff880078241990  EFLAGS: 00010202
:[151390.281010] RAX: ff55d08e66e88e66 RBX: ffff880078241d90 RCX: e08e66c08e66108e
:[151390.281010] RDX: ffff8800782419ac RSI: ffff8800782419a8 RDI: ffff88000008f068
:[151390.281010] RBP: ffff880078241990 R08: ffffea0001b749e0 R09: 0000000000000001
:[151390.281010] R10: 000000000008f101 R11: 0000000000000001 R12: ffffea0001b749c0
:[151390.281010] R13: ffffea0001b749e0 R14: ffff88000d1bf238 R15: 0000000000000001
:[151390.281010] FS:  0000000000000000(0000) GS:ffff88007f200000(0000) knlGS:0000000000000000
:[151390.281010] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:[151390.281010] CR2: 00007f0951395019 CR3: 0000000078521000 CR4: 00000000000006f0
:[151390.281010] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[151390.281010] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[151390.281010] Process kswapd0 (pid: 26, threadinfo ffff880078240000, task ffff88007bd45cc0)
:[151390.281010] Stack:
:[151390.281010]  ffff8800782419e0 ffffffffa0119ac0 ffffea0001b74b00 0000000100000000
:[151390.281010]  ffff8800782419c0 ffff880078241d90 ffff880078241b68 ffffea0001b749e0
:[151390.281010]  ffffea0001b749c0 0000000000000001 ffff8800782419f0 ffffffff811205f2
:[151390.281010] Call Trace:
:[151390.281010]  [<ffffffffa0119ac0>] xfs_vm_releasepage+0x40/0xf0 [xfs]
:[151390.281010]  [<ffffffff811205f2>] try_to_release_page+0x32/0x50
:[151390.281010]  [<ffffffff81133e62>] shrink_page_list+0x792/0x9a0
:[151390.281010]  [<ffffffff8117956a>] ? mem_cgroup_lru_del_list+0x2a/0xc0
:[151390.281010]  [<ffffffff8113dc59>] ? __mod_zone_page_state+0x49/0x50
:[151390.281010]  [<ffffffff811324bb>] ? update_isolated_counts+0x13b/0x180
:[151390.281010]  [<ffffffff81134484>] shrink_inactive_list+0x184/0x4f0
:[151390.281010]  [<ffffffff81134fc8>] shrink_mem_cgroup_zone+0x448/0x5d0
:[151390.281010]  [<ffffffff81177e25>] ? mem_cgroup_iter+0xe5/0x230
:[151390.281010]  [<ffffffff811351c6>] shrink_zone+0x76/0xa0
:[151390.281010]  [<ffffffff81136435>] balance_pgdat+0x505/0x6f0
:[151390.281010]  [<ffffffff81136787>] kswapd+0x167/0x3e0
:[151390.281010]  [<ffffffff8107a7f0>] ? remove_wait_queue+0x50/0x50
:[151390.281010]  [<ffffffff81136620>] ? balance_pgdat+0x6f0/0x6f0
:[151390.281010]  [<ffffffff81079da3>] kthread+0x93/0xa0
:[151390.281010]  [<ffffffff815fd9a4>] kernel_thread_helper+0x4/0x10
:[151390.281010]  [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
:[151390.281010]  [<ffffffff815fd9a0>] ? gs_change+0x13/0x13
:[151390.281010] Code: 00 48 8b 07 f6 c4 08 74 43 48 8b 7f 30 48 89 f8 eb 19 66 2e 0f 1f 84 00 00 00 00 00 c7 02 01 00 00 00 48 8b 40 08 48 39 c7 74 1f <48> 8b 08 80 e5 10 75 e9 48 8b 08 80 e5 02 74 e7 c7 06 01 00 00 
:[151390.281010] RIP  [<ffffffffa0119a4f>] xfs_count_page_state+0x3f/0x70 [xfs]
:[151390.281010]  RSP <ffff880078241990>
:[151390.305842] ---[ end trace cac20fe921d05395 ]---
Comment 1 Dave Jones 2012-10-23 11:40:01 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 12:03:10 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.